Bug 123704 - doing an install P3 450 64meg 8.5G HD Crashes out
doing an install P3 450 64meg 8.5G HD Crashes out
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-20 01:50 EDT by altmail
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-08 14:40:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description altmail 2004-05-20 01:50:09 EDT
Description of problem: Got the dump report listed below while trying 
to do a clean install on a P3 450. I made it as far as the Firewall 
set up. Started the checking of packages. Looked away and came back 
to the error and bug report pop up. 


Version-Release number of selected component (if applicable): Fedora 
core 2 all 4 disks checked out on the scan doing first install off 
disks.


How reproducible: on re-boot I get similar Traceback error breaks 
down to import kudzu Importerror: no module named kudzu. This is 
shortly after choosing text or gui install. 


Steps to Reproduce:
1. reboot
2. install
3. watch the crash text scroll by…
  
Actual results: listed above


Expected results: I got the listed error on 2 re-install attempts. 
Retested disk 1: failed. I babied the disks and there are no 
discernable defects in it. I’m yanking the CD drive and installing 
another incase some hardware issue is tearing it up. 


Additional info:
here is the dump report:

Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 763, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 169, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 237, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 160, in readPackages
    grpset = method.readComps(hdrlist)
  File "/usr/lib/anaconda/installmethod.py", line 65, in readComps
    return self.readCompsViaMethod(hdlist)
  File "/usr/lib/anaconda/image.py", line 106, in readCompsViaMethod
    return groupSetFromCompsFile(fname, hdlist)
  File "/usr/lib/anaconda/hdrlist.py", line 890, in 
groupSetFromCompsFile
    import urllib2
  File "/usr/lib/python2.3/urllib2.py", line 835
    
    ^
SyntaxError: invalid syntax

Local variables in innermost frame:
doSelect: 1
hdrlist: <hdrlist.HeaderListFromFile instance at 0xb7d7848c>
filename: file:///mnt/source/Fedora/base/comps.xml


Dispatcher instance, containing members:
intf: InstallInterface instance, containing members:
  intf.icw: InstallControlWindow instance, containing members:
    intf.icw.displayHelp: True
    intf.icw.releaseNotesViewerPid: None
    intf.icw.help: <TextViewBrowser object (GtkTextView) at 
0xb7db734c>
    intf.icw.help_sw: <gtk.ScrolledWindow object (GtkScrolledWindow) 
at 0xb7db5fa4>
    intf.icw.nextButtonStock: <gtk.Button object (GtkButton) at 
0xb7db5464>
    intf.icw.dispatch: Already dumped
    intf.icw.reloadRcQueued: 0
    intf.icw.ii: Already dumped
    intf.icw.installFrame: <gtk.Frame object (GtkFrame) at 0xb7db56bc>
    intf.icw.debugButton: <gtk.Button object (GtkButton) at 
0xb7db5bbc>
    intf.icw.table: <gtk.Table object (GtkTable) at 0xb7db516c>
    intf.icw.releaseButton: <gtk.Button object (GtkButton) at 
0xb7db56e4>
    intf.icw.hbox: <gtk.HBox object (GtkHBox) at 0xb7db511c>
    intf.icw.helpFrame: <gtk.Frame object (GtkFrame) at 0xb7db5cd4>
    intf.icw.windowList: []
    intf.icw.window: <gtk.Window object (GtkWindow) at 0xb7dbd054>
    intf.icw.helpState: True
    intf.icw.releaseNotesStartViewer: 0
    intf.icw.prevButtonStock: <gtk.Button object (GtkButton) at 
0xb7db5324>
    intf.icw.configFileData: {'TitleBar': 
pixmaps/anaconda_header.png, 'Title': Red Hat Linux 
Beta, 'Splashscreen': pixmaps/first.png, 'WelcomeScreen': 
pixmaps/splash.png}
    intf.icw.bin: <gtk.Frame object (GtkFrame) at 0xb7db8f04>
    intf.icw.handle: 858
    intf.icw.releaseNotesStartViewerAttempts: 0
    intf.icw.buttonBox: <gtk.HButtonBox object (GtkHButtonBox) at 
0xb7db51e4>
    intf.icw.hideHelpButton: <gtk.Button object (GtkButton) at 
0xb7db5be4>
    intf.icw.currentWindow: AccountWindow instance, containing 
members:
      intf.icw.currentWindow.intf: Already dumped
      intf.icw.currentWindow.pw: <gtk.Entry object (GtkEntry) at 
0xb7d71af4>
      intf.icw.currentWindow.confirm: <gtk.Entry object (GtkEntry) at 
0xb7d71b44>
      intf.icw.currentWindow.forward: <function <lambda> at 
0xb7d47534>
      intf.icw.currentWindow.passwords: {}
      intf.icw.currentWindow.rootStatus: <gtk.Label object (GtkLabel) 
at 0xb7d71c84>
      intf.icw.currentWindow.ics: InstallControlState instance, 
containing members:
        intf.icw.currentWindow.ics.nextButtonLabel: None
        intf.icw.currentWindow.ics.helpButtonEnabled: True
        intf.icw.currentWindow.ics.searchPath: 
('/mnt/source/RHupdates', './', '/usr/share/anaconda/')
        intf.icw.currentWindow.ics.prevButtonLabel: None
        intf.icw.currentWindow.ics.grabNext: 0
        intf.icw.currentWindow.ics.title: Set Root Password
        intf.icw.currentWindow.ics.nextButtonInfo: None
        intf.icw.currentWindow.ics.prevButton: gtk-prev
        intf.icw.currentWindow.ics.html: 
        intf.icw.currentWindow.ics.helpEnabled: 3
        intf.icw.currentWindow.ics.nextEnabled: 1
        intf.icw.currentWindow.ics.htmlFile: accts
        intf.icw.currentWindow.ics.prevEnabled: 1
        intf.icw.currentWindow.ics.cw: Already dumped
        intf.icw.currentWindow.ics.nextButton: gtk-next
      intf.icw.currentWindow.rootPw: <Type RootPassword>
    intf.icw.box: <gtk.VBox object (GtkVBox) at 0xb7db5284>
    intf.icw.releaseNotesType: html
    intf.icw.langSearchPath: [en_US.UTF-8, en_US, en, C]
    intf.icw.showHelpButton: <gtk.Button object (GtkButton) at 
0xb7db5964>
    intf.icw.dir: 1
  intf.runres: 800x600
  intf.dispatch: Already dumped
instPath: /mnt/sysimage
dispatch: Already dumped
skipSteps: {'upgrademigfind': 1, 'desktopchoice': 1, 'makebootdisk': 
1, 'indivpackage': 1, 'xcustom': 1, 'fdasd': 1, 'authentication': 
1, 'findpackages': 1, 'fdisk': 1, 'upgrademigratefs': 
1, 'confirmupgrade': 1, 'bootloaderadvanced': 1, 'betanag': 
1, 'upgbootloader': 1, 'addswap': 1, 'upgradecontinue': 
1, 'findinstall': 1, 'upgrademount': 1, 'upgradeswapsuggestion': 
1, 'videocard': 1, 'bootdisk': 1}
method: CdromInstallMethod instance, containing members:
  method.messageWindow: <bound method InstallInterface.messageWindow 
of <gui.InstallInterface instance at 0xb7db1f0c>>
  method.currentIso: None
  method.timestamp: 1084440410.630525
  method.tree: /mnt/source
  method.rootPath: /mnt/sysimage
  method.currentDisc: [1]
  method.loopbackFile: None
  method.progressWindow: <bound method 
InstallInterface.progressWindow of <gui.InstallInterface instance at 
0xb7db1f0c>>
  method.device: hdc
step: 36
flags: Flags instance, containing members:
  flags.flags: {'expert': 0, 'selinux': 0, 'autostep': 
0, 'setupFilesystems': 1, 'usevnc': 0, 'autoscreenshot': 0, 'test': 
0, 'serial': 0}
firstStep: 0
id: InstallData instance, containing members:
  id.dbpath: None
  id.firewall: Firewall instance, containing members:
    id.firewall.ftp: True
    id.firewall.http: True
    id.firewall.enabled: 1
    id.firewall.smtp: True
    id.firewall.telnet: True
    id.firewall.selinux: 
    id.firewall.ssh: True
    id.firewall.portlist: 
    id.firewall.trustdevs: []
    id.firewall.ports: []
  id.rootParts: None
  id.upgradeDeps: 
  id.upgradeRoot: None
  id.xsetup: XSetup instance, containing members:
    id.xsetup.skipx: 0
    id.xsetup.imposed_sane_default: 1
    id.xsetup.xhwstate: XF86HardwareState instance, containing 
members:
      id.xsetup.xhwstate.probed_physical_height: 0
      id.xsetup.xhwstate.probed_video_ram: 8192
      id.xsetup.xhwstate.videocard_PCIBus: None
      id.xsetup.xhwstate.colordepth: 24
      id.xsetup.xhwstate.monitor_name: Monitor 800x600
      id.xsetup.xhwstate.dri_enabled: 1
      id.xsetup.xhwstate.monitor: monName: Monitor 800x600
monID: Monitor 800x600
monHoriz: 31.5-35.1
monVert: 50-61
physicalWidth: 0
physicalHeight: 0

      id.xsetup.xhwstate.videocard_name: ATI Mach64
      id.xsetup.xhwstate.video_ram: 0
      id.xsetup.xhwstate.videocard_driver: ati
      id.xsetup.xhwstate.videocard_options: []
      id.xsetup.xhwstate.vsync: 50-61
      id.xsetup.xhwstate.physical_height: 0
      id.xsetup.xhwstate.probed_vsync: 50-70
      id.xsetup.xhwstate.physical_width: 0
      id.xsetup.xhwstate.hsync: 31.5-35.1
      id.xsetup.xhwstate.probed_physical_width: 0
      id.xsetup.xhwstate.xconfig: None
      id.xsetup.xhwstate.all_resolutions: [640x480, 800x480, 800x600, 
1024x600, 1024x768, 1152x768, 1152x864, 1280x800, 1280x960, 
1280x1024, 1400x1050, 1440x900, 1600x1200, 1680x1050, 1900x1200, 
1920x1200, 1920x1440, 2048x1536]
      id.xsetup.xhwstate.videocard: primary: 0
vidCards: [<rhpl.videocard.VideoCard instance at 0xb7f025cc>]
Primary Video Card Info:
device: fb0
descr : ATI|3D Rage Pro AGP 1X/2X
server: Xorg
cardManf: None
vidRam: 8192
carddata: {'CHIPSET': 'ati', 'DRIVER': 'ati', 'NAME': 'ATI 
Mach64', 'NOCLOCKPROBE': ''}
devID: ATI Mach64
fbmodes: None
fbbpp: None

      id.xsetup.xhwstate.videocard_PCIFn: None
      id.xsetup.xhwstate.probed_hsync: 31.5-37.9
      id.xsetup.xhwstate.resolution: 800x600
      id.xsetup.xhwstate.videocard_PCIDev: None
  id.keyboard: Keyboard instance, containing members:
    id.keyboard.info: {'KEYBOARDTYPE': pc, 'KEYTABLE': us}
    id.keyboard.type: PC
    id.keyboard.beenset: 1
  id.timezone: Timezone instance, containing members:
    id.timezone.utc: False
    id.timezone.utcOffset: 0
    id.timezone.arc: 0
    id.timezone.tz: America/Los_Angeles
    id.timezone.dst: 0
  id.mouse: FULLNAME="Generic - 3 Button Mouse (PS/2)"
MOUSETYPE="imps2"
XEMU3="no"
XMOUSETYPE="IMPS/2"

  id.upgrade: Boolean instance, containing members:
    id.upgrade.val: 0
  id.monitor: Already dumped
  id.methodstr: cdrom://hdc:/mnt/source
  id.fsset: FileSystemSet instance, containing members:
    id.fsset.messageWindow: <bound method 
InstallInterface.messageWindow of <gui.InstallInterface instance at 
0xb7db1f0c>>
    id.fsset.volumesCreated: 1
    id.fsset.progressWindow: <bound method 
InstallInterface.progressWindow of <gui.InstallInterface instance at 
0xb7db1f0c>>
    id.fsset.migratedfs: 0
    id.fsset.waitWindow: <bound method InstallInterface.waitWindow of 
<gui.InstallInterface instance at 0xb7db1f0c>>
    id.fsset.entries: [fsentry -- device: hda2   mountpoint: /
           fsystem: ext3 format: 1
           ismounted: 0 

, fsentry -- device: hda1   mountpoint: /boot
           fsystem: ext3 format: 1
           ismounted: 0 

, fsentry -- device: none   mountpoint: /dev/pts
           fsystem: devpts format: 0
           ismounted: 0 

, fsentry -- device: none   mountpoint: /dev/shm
           fsystem: tmpfs format: 0
           ismounted: 0 

, fsentry -- device: none   mountpoint: /proc
           fsystem: proc format: 0
           ismounted: 0 

, fsentry -- device: none   mountpoint: /sys
           fsystem: sysfs format: 0
           ismounted: 0 

, fsentry -- device: hda3   mountpoint: swap
           fsystem: swap format: 1
           ismounted: 1 

]
    id.fsset.mountcount: 1
  id.desktop: Desktop instance, containing members:
    id.desktop.info: {}
    id.desktop.runlevel: 3
  id.x_already_set: 0
  id.langSupport: Language instance, containing members:
    id.langSupport.info: {'LANG': en_US.UTF-8, 'SYSFONT': latarcyrheb-
sun16, 'SUPPORTED': en_US.UTF-8:en_US:en}
    id.langSupport.default: English (USA)
    id.langSupport.supported: [English (USA)]
  id.partitions: Partitions instance, containing members:
    id.partitions.useFdisk: 0
    id.partitions.useAutopartitioning: 1
    id.partitions.autoClearPartType: 2
    id.partitions.nextUniqueID: 7
    id.partitions.reinitializeDisks: 0
    id.partitions.autoClearPartDrives: [hda]
    id.partitions.zeroMbr: 0
    id.partitions.isKickstart: 0
    id.partitions.requests: [New Part Request -- mountpoint: /boot 
uniqueID: 5
  type: ext3  format: 1  badblocks: None
  device: hda1 drive: ['hda']  primary: None
  size: 100  grow: 0  maxsize: None
  start: None  end: None  migrate: None  origfstype: None
, PreexistingPartitionSpec instance, containing members:
      currentDrive: None
      migrate: None
      origfstype: None
      primary: None
      dev: None
      uniqueID: 3
      mountpoint: None
      requestSize: 8191.0546875
      size: 8191.0546875
      end: 17803439
      grow: 0
      start: 1028160
      ignoreBootConstraints: 0
      type: 1
      badblocks: None
      format: None
      fstype: None
      preexist: 1
      device: hda-1
      maxSizeMB: None
      drive: hda
      fslabel: None
      protected: 0
, New Part Request -- mountpoint: / uniqueID: 4
  type: ext3  format: 1  badblocks: None
  device: hda2 drive: ['hda']  primary: None
  size: 1024  grow: 1  maxsize: None
  start: None  end: None  migrate: None  origfstype: None
, New Part Request -- mountpoint: None uniqueID: 6
  type: swap  format: 1  badblocks: None
  device: hda3 drive: ['hda']  primary: None
  size: 96  grow: 1  maxsize: 192
  start: None  end: None  migrate: None  origfstype: None
, PreexistingPartitionSpec instance, containing members:
      currentDrive: None
      migrate: None
      origfstype: None
      primary: None
      dev: None
      uniqueID: 1
      mountpoint: None
      requestSize: 0.0302734375
      size: 0.0302734375
      end: 62
      grow: 0
      start: 1
      ignoreBootConstraints: 0
      type: 1
      badblocks: None
      format: None
      fstype: None
      preexist: 1
      device: hda-1
      maxSizeMB: None
      drive: hda
      fslabel: None
      protected: 0
]
    id.partitions.autoPartitionRequests: [New Part Request -- 
mountpoint: / uniqueID: None
  type: ext3  format: 1  badblocks: None
  device: None drive: None  primary: None
  size: 1024  grow: 1  maxsize: None
  start: None  end: None  migrate: None  origfstype: None
, New Part Request -- mountpoint: /boot uniqueID: None
  type: ext3  format: 1  badblocks: None
  device: None drive: None  primary: None
  size: 100  grow: 0  maxsize: None
  start: None  end: None  migrate: None  origfstype: None
, New Part Request -- mountpoint: None uniqueID: None
  type: swap  format: 1  badblocks: None
  device: None drive: None  primary: None
  size: 96  grow: 1  maxsize: 192
  start: None  end: None  migrate: None  origfstype: None
]
    id.partitions.deletes: [drive: hda  start: 63  end: 1028159
]
  id.firstboot: 0
  id.configFileData: {'TitleBar': 
pixmaps/anaconda_header.png, 'Title': Red Hat Linux 
Beta, 'Splashscreen': pixmaps/first.png, 'WelcomeScreen': 
pixmaps/splash.png}
  id.compspkg: None
  id.grpset: None
  id.upgradeRemove: []
  id.upgradeInfoFound: None
  id.auth: Authentication instance, containing members:
    id.auth.hesiodLhs: 
    id.auth.useKrb5: 0
    id.auth.useShadow: 1
    id.auth.krb5Realm: 
    id.auth.ldapTLS: 
    id.auth.useMD5: 1
    id.auth.enableCache: 0
    id.auth.useLdapauth: 0
    id.auth.hesiodRhs: 
    id.auth.useLdap: 0
    id.auth.useNIS: 0
    id.auth.nisuseBroadcast: 1
    id.auth.sambaServer: 
    id.auth.nisDomain: 
    id.auth.sambaWorkgroup: 
    id.auth.useSamba: 0
    id.auth.ldapBasedn: 
    id.auth.krb5Admin: 
    id.auth.ldapServer: 
    id.auth.useHesiod: 0
    id.auth.krb5Kdc: 
    id.auth.nisServer: 
  id.dependencies: []
  id.bootloader: x86BootloaderInfo instance, containing members:
    id.bootloader.kickstart: 0
    id.bootloader.doUpgradeOnly: 0
    id.bootloader.useLinear: 1
    id.bootloader.defaultDevice: mbr
    id.bootloader.pure: None
    id.bootloader.args: KernelArguments instance, containing members:
      id.bootloader.args.args: 
    id.bootloader.kernelLocation: /boot/
    id.bootloader.device: hda
    id.bootloader.configfile: /etc/lilo.conf
    id.bootloader.above1024: 1
    id.bootloader.serialOptions: None
    id.bootloader.useGrubVal: 1
    id.bootloader.serialDevice: None
    id.bootloader.images: BootImages instance, containing members:
      id.bootloader.images.default: hda2
      id.bootloader.images.images: {'hda2': ('linux', 'Fedora 
Core', 'ext3')}
    id.bootloader.drivelist: [hda]
    id.bootloader.serial: 0
    id.bootloader.forceLBA32: 0
  id.extraModules: []
  id.network: Network instance, containing members:
    id.network.hostname: localhost.localdomain
    id.network.overrideDHCPhostname: 0
    id.network.netdevices: {'eth1': DEVICE=eth1
BOOTPROTO=dhcp
HWADDR=00:40:F4:74:7C:88
ONBOOT=no
TYPE=Ethernet

, 'eth0': DEVICE=eth0
BOOTPROTO=dhcp
HWADDR=00:50:04:AD:24:6E
ONBOOT=yes
TYPE=Ethernet

}
    id.network.primaryNS: None
    id.network.firstnetdevice: eth0
    id.network.ternaryNS: None
    id.network.isConfigured: 0
    id.network.domains: []
    id.network.secondaryNS: None
    id.network.gateway: None
  id.instClass: InstallClass instance, containing members:
  id.floppyDevice: fd0
  id.isHeadless: 0
  id.videocard: Already dumped
  id.instLanguage: InstallTimeLanguage instance, containing members:
    id.instLanguage.tempDefault: 
    id.instLanguage.current: en_US.UTF-8
  id.diskset: DiskSet instance, containing members:
    id.diskset.disks: {'hda': <PedDisk object at 0xb7fbfb18>}
    id.diskset.onlyPrimary: None
  id.handleDeps: 0
  id.security: Security instance, containing members:
    id.security.selinux: 0
  id.upgradeSwapInfo: None
dir: 1


/tmp/syslog:
<4>Linux version 2.6.5-1.358 (bhcompile@bugs.build.redhat.com) (gcc 
version 3.3.3 20040412 (Red Hat Linux 3.3.3-7)) #1 Sat May 8 09:00:01 
EDT 2004
<6>BIOS-provided physical RAM map:
<4> BIOS-e820: 0000000000000000 - 000000000009f400 (usable)
<4> BIOS-e820: 000000000009f400 - 00000000000a0000 (reserved)
<4> BIOS-e820: 00000000000e6c00 - 0000000000100000 (reserved)
<4> BIOS-e820: 0000000000100000 - 0000000003ffdc00 (usable)
<4> BIOS-e820: 0000000003ffdc00 - 0000000003fffc00 (ACPI data)
<4> BIOS-e820: 0000000003fffc00 - 0000000004000000 (ACPI NVS)
<4> BIOS-e820: 00000000fff80000 - 0000000100000000 (reserved)
<5>0MB HIGHMEM available.
<5>63MB LOWMEM available.
<4>zapping low mappings.
<4>On node 0 totalpages: 16381
<4>  DMA zone: 4096 pages, LIFO batch:1
<4>  Normal zone: 12285 pages, LIFO batch:2
<4>  HighMem zone: 0 pages, LIFO batch:1
<6>DMI 2.1 present.
<5>ACPI disabled because your bios is from 1999 and too old
<5>You can enable it with acpi=force
<4>Built 1 zonelists
<4>Kernel command line: initrd=initrd.img ramdisk_size=8192 
BOOT_IMAGE=vmlinuz 
<6>Initializing CPU#0
<4>CPU 0 irqstacks, hard=c034d000 soft=c034c000
<4>PID hash table entries: 256 (order 8: 2048 bytes)
<4>Detected 448.990 MHz processor.
<6>Using tsc for high-res timesource
<4>Console: colour VGA+ 80x25
<6>Memory: 59484k/65524k available (1565k kernel code, 5580k 
reserved, 605k data, 144k init, 0k highmem)
<4>Calibrating delay loop... 886.78 BogoMIPS
<6>Security Scaffold v1.0.0 initialized
<6>SELinux:  Initializing.
<6>SELinux:  Starting in permissive mode
<6>There is already a security framework initialized, 
register_security failed.
<6>Failure registering capabilities with the kernel
<6>selinux_register_security:  Registering secondary module capability
<6>Capability LSM initialized
<6>Dentry cache hash table entries: 8192 (order: 3, 32768 bytes)
<4>Inode-cache hash table entries: 4096 (order: 2, 16384 bytes)
<4>Mount-cache hash table entries: 512 (order: 0, 4096 bytes)
<7>CPU:     After generic identify, caps: 0383f9ff 00000000 00000000 
00000000
<7>CPU:     After vendor identify, caps: 0383f9ff 00000000 00000000 
00000000
<6>CPU: L1 I cache: 16K, L1 D cache: 16K
<6>CPU: L2 cache: 512K
<7>CPU:     After all inits, caps: 0383f1ff 00000000 00000000 00000040
<6>Intel machine check architecture supported.
<6>Intel machine check reporting enabled on CPU#0.
<4>CPU: Intel Pentium III (Katmai) stepping 02
<6>Enabling fast FPU save and restore... done.
<6>Enabling unmasked SIMD FPU exception support... done.
<6>Checking 'hlt' instruction... OK.
<4>POSIX conformance testing by UNIFIX
<6>NET: Registered protocol family 16
<6>PCI: PCI BIOS revision 2.10 entry at 0xfd993, last bus=1
<6>PCI: Using configuration type 1
<6>mtrr: v2.0 (20020519)
<6>ACPI: Subsystem revision 20040326
<6>ACPI: Interpreter disabled.
<6>Linux Plug and Play Support v0.97 (c) Adam Belay
<6>usbcore: registered new driver usbfs
<6>usbcore: registered new driver hub
<4>ACPI: ACPI tables contain no PCI IRQ routing entries
<4>PCI: Invalid ACPI-PCI IRQ routing table
<4>PCI: Probing PCI hardware
<4>PCI: Probing PCI hardware (bus 00)
<6>PCI: Using IRQ router PIIX/ICH [8086/7110] at 0000:00:07.0
<6>apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16ac)
<6>audit: initializing netlink socket (disabled)
<3>audit(1085000820.080:0): initialized
<4>Total HugeTLB memory allocated, 0
<5>VFS: Disk quotas dquot_6.5.1
<4>Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
<6>SELinux:  Registering netfilter hooks
<6>Initializing Cryptographic API
<6>Limiting direct PCI/PCI transfers.
<6>pci_hotplug: PCI Hot Plug PCI Core version: 0.5
<6>isapnp: Scanning for PnP cards...
<6>isapnp: No Plug & Play device found
<6>Real Time Clock Driver v1.12
<6>Linux agpgart interface v0.100 (c) Dave Jones
<6>agpgart: Detected an Intel 440BX Chipset.
<6>agpgart: Maximum main memory to use for agp memory: 27M
<6>agpgart: AGP aperture is 64M @ 0xf8000000
<6>Serial: 8250/16550 driver $Revision: 1.90 $ 8 ports, IRQ sharing 
enabled
<4>ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
<4>RAMDISK driver initialized: 16 RAM disks of 8192K size 1024 
blocksize
<7>divert: not allocating divert_blk for non-ethernet device lo
<6>Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
<6>ide: Assuming 33MHz system bus speed for PIO modes; override with 
idebus=xx
<6>PIIX4: IDE controller at PCI slot 0000:00:07.1
<6>PIIX4: chipset revision 1
<6>PIIX4: not 100% native mode: will probe irqs later
<6>    ide0: BM-DMA at 0x14a0-0x14a7, BIOS settings: hda:DMA, hdb:pio
<6>    ide1: BM-DMA at 0x14a8-0x14af, BIOS settings: hdc:DMA, hdd:pio
<4>hda: WDC AC29100D, ATA DISK drive
<4>Using cfq io scheduler
<4>ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
<4>hdc: MATSHITADVD-ROM SR-8585, ATAPI CD/DVD-ROM drive
<4>ide1 at 0x170-0x177,0x376 on irq 15
<4>hda: max request size: 128KiB
<6>hda: 17803440 sectors (9115 MB) w/1966KiB Cache, CHS=17662/16/63, 
UDMA(33)
<6> hda: hda1
<4>hdc: ATAPI 40X DVD-ROM drive, 512kB Cache, UDMA(33)
<6>Uniform CD-ROM driver Revision: 3.20
<4>ide-floppy driver 0.99.newide
<6>usbcore: registered new driver hiddev
<6>usbcore: registered new driver hid
<6>drivers/usb/input/hid-core.c: v2.0:USB HID core driver
<6>mice: PS/2 mouse device common for all mice
<6>serio: i8042 AUX port at 0x60,0x64 irq 12
<6>input: ImPS/2 Generic Wheel Mouse on isa0060/serio1
<6>serio: i8042 KBD port at 0x60,0x64 irq 1
<6>input: AT Translated Set 2 keyboard on isa0060/serio0
<6>md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
<6>NET: Registered protocol family 2
<6>IP: routing cache hash table of 512 buckets, 4Kbytes
<6>TCP: Hash tables configured (established 4096 bind 8192)
<6>Initializing IPsec netlink socket
<6>NET: Registered protocol family 1
<6>NET: Registered protocol family 17
<6>checking if image is initramfs...it isn't (no cpio magic); looks 
like an initrd
<6>Freeing initrd memory: 2385k freed
<6>md: Autodetecting RAID arrays.
<6>md: autorun ...
<6>md: ... autorun DONE.
<5>RAMDISK: Compressed image found at block 0
<4>VFS: Mounted root (ext2 filesystem).
<7>vga16fb: initializing
<6>vga16fb: mapped to 0xc4831000
<6>fb0: VGA16 VGA frame buffer device
<6>loop: loaded (max 8 devices)
<6>inserting floppy driver for 2.6.5-1.358
<6>Floppy drive(s): fd0 is 1.44M
<6>FDC 0 is a post-1991 82077
<5>SCSI subsystem initialized
<6>USB Universal Host Controller Interface driver v2.2
<6>PCI: Found IRQ 9 for device 0000:00:07.2
<6>PCI: Sharing IRQ 9 with 0000:00:0c.0
<6>PCI: Sharing IRQ 9 with 0000:00:10.0
<6>uhci_hcd 0000:00:07.2: UHCI Host Controller
<6>uhci_hcd 0000:00:07.2: irq 9, io base 00001480
<6>uhci_hcd 0000:00:07.2: new USB bus registered, assigned bus number 
1
<6>hub 1-0:1.0: USB hub found
<6>hub 1-0:1.0: 2 ports detected
<6>PCI: Found IRQ 9 for device 0000:00:10.0
<6>PCI: Sharing IRQ 9 with 0000:00:07.2
<6>PCI: Sharing IRQ 9 with 0000:00:0c.0
<4>3c59x: Donald Becker and others. www.scyld.com/network/vortex.html
<6>0000:00:10.0: 3Com PCI 3c905C Tornado at 0x1400. Vers LK1.1.19
<7>divert: allocating divert_blk for eth0
<6>8139too Fast Ethernet driver 0.9.27
<6>PCI: Found IRQ 10 for device 0000:00:0e.0
<7>divert: allocating divert_blk for eth1
<6>eth1: RealTek RTL8139 at 0x1000, 00:40:f4:74:7c:88, IRQ 10
<7>eth1:  Identified 8139 chip type 'RTL-8100B/8139D'
<7>ISO 9660 Extensions: Microsoft Joliet Level 3
<4>Unable to load NLS charset utf8
<4>Unable to load NLS charset utf8
<7>ISO 9660 Extensions: RRIP_1991A
<4>Unable to identify CD-ROM format.
<4>VFS: Can't find ext2 filesystem on dev loop0.
<4>loader: mremap moved 1 cows
<6>md: raid0 personality registered as nr 2
<6>md: raid1 personality registered as nr 3
<6>raid5: measuring checksumming speed
<4>   8regs     :   812.000 MB/sec
<4>   8regs_prefetch:   684.000 MB/sec
<4>   32regs    :   424.000 MB/sec
<4>   32regs_prefetch:   388.000 MB/sec
<4>   pIII_sse  :   900.000 MB/sec
<4>   pII_mmx   :  1136.000 MB/sec
<4>   p5_mmx    :  1172.000 MB/sec
<4>raid5: using function: pIII_sse (900.000 MB/sec)
<6>md: raid5 personality registered as nr 4
<6>SGI XFS with ACLs, security attributes, large block numbers, no 
debug enabled
<6>SGI XFS Quota Management subsystem
<6>device-mapper: 4.1.0-ioctl (2003-12-10) initialised: 
dm@uk.sistina.com
<6>parport0: PC-style at 0x378 (0x778) [PCSPP,TRISTATE]
<6>parport0: irq 7 detected
<4>hdc: media error (bad sector): status=0x51 { DriveReady 
SeekComplete Error }
<4>hdc: media error (bad sector): error=0x34
<4>end_request: I/O error, dev hdc, sector 267124
<3>Buffer I/O error on device hdc, logical block 66781
<3>Buffer I/O error on device loop0, logical block 9743
<3>Buffer I/O error on device loop0, logical block 9743
<4>Error -3 while decompressing!
<4>c4849a81(1783)->c0663000(4096)
<4>Error -3 while decompressing!
<4>c484a178(1719)->c001f000(4096)
<6>Adding 192772k swap on /tmp/hda3.  Priority:-1 extents:1
<4>hdc: media error (bad sector): status=0x51 { DriveReady 
SeekComplete Error }
<4>hdc: media error (bad sector): error=0x34
<4>end_request: I/O error, dev hdc, sector 269276
<3>Buffer I/O error on device hdc, logical block 67319
<4>hdc: media error (bad sector): status=0x51 { DriveReady 
SeekComplete Error }
<4>hdc: media error (bad sector): error=0x34
<4>end_request: I/O error, dev hdc, sector 269280
<3>Buffer I/O error on device hdc, logical block 67320
<4>hdc: media error (bad sector): status=0x51 { DriveReady 
SeekComplete Error }
<4>hdc: media error (bad sector): error=0x34
<4>end_request: I/O error, dev hdc, sector 269284
<3>Buffer I/O error on device hdc, logical block 67321
<4>hdc: media error (bad sector): status=0x51 { DriveReady 
SeekComplete Error }
<4>hdc: media error (bad sector): error=0x34
<4>end_request: I/O error, dev hdc, sector 269288
<3>Buffer I/O error on device hdc, logical block 67322
<4>hdc: media error (bad sector): status=0x51 { DriveReady 
SeekComplete Error }
<4>hdc: media error (bad sector): error=0x34
<4>end_request: I/O error, dev hdc, sector 269292
<3>Buffer I/O error on device hdc, logical block 67323
<4>hdc: media error (bad sector): status=0x51 { DriveReady 
SeekComplete Error }
<4>hdc: media error (bad sector): error=0x34
<4>end_request: I/O error, dev hdc, sector 269296
<3>Buffer I/O error on device hdc, logical block 67324
<4>hdc: media error (bad sector): status=0x51 { DriveReady 
SeekComplete Error }
<4>hdc: media error (bad sector): error=0x34
<4>end_request: I/O error, dev hdc, sector 269300
<3>Buffer I/O error on device hdc, logical block 67325
<4>hdc: media error (bad sector): status=0x51 { DriveReady 
SeekComplete Error }
<4>hdc: media error (bad sector): error=0x34
<4>end_request: I/O error, dev hdc, sector 269304
<3>Buffer I/O error on device hdc, logical block 67326
<4>hdc: media error (bad sector): status=0x51 { DriveReady 
SeekComplete Error }
<4>hdc: media error (bad sector): error=0x34
<4>end_request: I/O error, dev hdc, sector 269308
<3>Buffer I/O error on device hdc, logical block 67327
<4>hdc: media error (bad sector): status=0x51 { DriveReady 
SeekComplete Error }
<4>hdc: media error (bad sector): error=0x34
<4>end_request: I/O error, dev hdc, sector 269312
<3>Buffer I/O error on device hdc, logical block 67328
<4>hdc: media error (bad sector): status=0x51 { DriveReady 
SeekComplete Error }
<4>hdc: media error (bad sector): error=0x34
<4>end_request: I/O error, dev hdc, sector 269316
<3>Buffer I/O error on device hdc, logical block 67329
<4>hdc: media error (bad sector): status=0x51 { DriveReady 
SeekComplete Error }
<4>hdc: media error (bad sector): error=0x34
<4>end_request: I/O error, dev hdc, sector 269320
<3>Buffer I/O error on device hdc, logical block 67330
<4>hdc: media error (bad sector): status=0x51 { DriveReady 
SeekComplete Error }
<4>hdc: media error (bad sector): error=0x34
<4>end_request: I/O error, dev hdc, sector 269324
<3>Buffer I/O error on device hdc, logical block 67331
<4>hdc: media error (bad sector): status=0x51 { DriveReady 
SeekComplete Error }
<4>hdc: media error (bad sector): error=0x34
<4>end_request: I/O error, dev hdc, sector 269328
<3>Buffer I/O error on device hdc, logical block 67332
<4>hdc: media error (bad sector): status=0x51 { DriveReady 
SeekComplete Error }
<4>hdc: media error (bad sector): error=0x34
<4>end_request: I/O error, dev hdc, sector 269332
<3>Buffer I/O error on device hdc, logical block 67333
<4>hdc: media error (bad sector): status=0x51 { DriveReady 
SeekComplete Error }
<4>hdc: media error (bad sector): error=0x34
<4>end_request: I/O error, dev hdc, sector 269336
<3>Buffer I/O error on device hdc, logical block 67334
<4>hdc: media error (bad sector): status=0x51 { DriveReady 
SeekComplete Error }
<4>hdc: media error (bad sector): error=0x34
<4>end_request: I/O error, dev hdc, sector 269340
<3>Buffer I/O error on device hdc, logical block 67335
<4>hdc: media error (bad sector): status=0x51 { DriveReady 
SeekComplete Error }
<4>hdc: media error (bad sector): error=0x34
<4>end_request: I/O error, dev hdc, sector 269344
<3>Buffer I/O error on device hdc, logical block 67336
<4>hdc: media error (bad sector): status=0x51 { DriveReady 
SeekComplete Error }
<4>hdc: media error (bad sector): error=0x34
<4>end_request: I/O error, dev hdc, sector 269348
<3>Buffer I/O error on device hdc, logical block 67337
<4>hdc: media error (bad sector): status=0x51 { DriveReady 
SeekComplete Error }
<4>hdc: media error (bad sector): error=0x34
<4>end_request: I/O error, dev hdc, sector 269352
<3>Buffer I/O error on device hdc, logical block 67338
<4>hdc: media error (bad sector): status=0x51 { DriveReady 
SeekComplete Error }
<4>hdc: media error (bad sector): error=0x34
<4>end_request: I/O error, dev hdc, sector 269356
<3>Buffer I/O error on device hdc, logical block 67339
<4>hdc: media error (bad sector): status=0x51 { DriveReady 
SeekComplete Error }
<4>hdc: media error (bad sector): error=0x34
<4>end_request: I/O error, dev hdc, sector 269360
<3>Buffer I/O error on device hdc, logical block 67340
<3>Buffer I/O error on device loop0, logical block 10012
<3>Buffer I/O error on device loop0, logical block 10012
<3>Buffer I/O error on device loop0, logical block 10013
<3>Buffer I/O error on device loop0, logical block 10013
<3>Buffer I/O error on device loop0, logical block 10014
<3>Buffer I/O error on device loop0, logical block 10014
<3>Buffer I/O error on device loop0, logical block 10015
<3>Buffer I/O error on device loop0, logical block 10015
<3>Buffer I/O error on device loop0, logical block 10012
<3>Buffer I/O error on device loop0, logical block 10013
<3>Buffer I/O error on device loop0, logical block 10014
<3>Buffer I/O error on device loop0, logical block 10015
<4>Error -3 while decompressing!
<4>c48447e8(-41012680)->c301d000(4096)
<3>Buffer I/O error on device loop0, logical block 10012
<4>Error -5 while decompressing!
<4>c484a63c(1390)->c36b9000(4096)
<4>Error -3 while decompressing!
<4>c4843baa(1374)->c2233000(4096)
<4>Error -3 while decompressing!
<4>c4844108(1447)->c316e000(4096)
<4>Error -3 while decompressing!
<4>c48446af(255)->c2f37000(4096)


/tmp/anaconda.log:
* modules to insert vgastate vga16fb
* loaded vgastate from /modules/modules.cgz
* loaded vga16fb from /modules/modules.cgz
* inserted /tmp/vgastate.ko
* inserted /tmp/vga16fb.ko
* load module set done
* 61944 kB are available
* modules to insert cramfs fat vfat sunrpc lockd nfs loop isofs floppy
* loaded cramfs from /modules/modules.cgz
* loaded fat from /modules/modules.cgz
* loaded vfat from /modules/modules.cgz
* loaded sunrpc from /modules/modules.cgz
* loaded lockd from /modules/modules.cgz
* loaded nfs from /modules/modules.cgz
* loaded loop from /modules/modules.cgz
* loaded floppy from /modules/modules.cgz
* module(s) isofs not found
* inserted /tmp/cramfs.ko
* inserted /tmp/fat.ko
* inserted /tmp/vfat.ko
* inserted /tmp/sunrpc.ko
* inserted /tmp/lockd.ko
* inserted /tmp/nfs.ko
* inserted /tmp/loop.ko
* inserted /tmp/floppy.ko
* load module set done
* modules to insert cdrom ide-cd
* module(s) cdrom ide-cd not found
* load module set done
* modules to insert scsi_mod sd_mod sr_mod
* loaded scsi_mod from /modules/modules.cgz
* loaded sd_mod from /modules/modules.cgz
* loaded sr_mod from /modules/modules.cgz
* inserted /tmp/scsi_mod.ko
* inserted /tmp/sd_mod.ko
* inserted /tmp/sr_mod.ko
* load module set done
* looking for usb controllers
* found USB controller uhci-hcd
* modules to insert uhci-hcd
* loaded uhci-hcd from /modules/modules.cgz
* inserted /tmp/uhci-hcd.ko
* load module set done
* waiting for usb to become stable...
* 2 seconds.
* modules to insert hid keybdev 
* module(s) hid keybdev  not found
* load module set done
* no firewire controller found
* no pcic controller found
* probing buses
* finished bus probing
* modules to insert 3c59x mii 8139too
* loaded 3c59x from /modules/modules.cgz
* loaded mii from /modules/modules.cgz
* loaded 8139too from /modules/modules.cgz
* inserted /tmp/3c59x.ko
* inserted /tmp/mii.ko
* inserted /tmp/8139too.ko
* load module set done
* trying to mount CD device hdc
* mntloop loop0 on /mnt/runtime as /mnt/source/Fedora/base/stage2.img 
fd is 13
* MD5SUM -> 1c08f4ea07987fbd43aadd2b4d6e564c
* skipsectors = 15
* isostatus = 0
* getting ready to spawn shell now
* modules to insert cdrom ide-cd
* module(s) cdrom ide-cd not found
* load module set done
* modules to insert
* load module set done
* probing buses
* finished bus probing
* modules to insert
* load module set done
* looking for video cards requiring agpgart module
* no video cards found
* modules to insert md raid0 raid1 xor raid5 msdos jbd ext3 reiserfs 
jfs xfs dm-mod
* loaded raid0 from /mnt/runtime/modules/modules.cgz
* loaded raid1 from /mnt/runtime/modules/modules.cgz
* loaded xor from /mnt/runtime/modules/modules.cgz
* loaded raid5 from /mnt/runtime/modules/modules.cgz
* loaded msdos from /mnt/runtime/modules/modules.cgz
* loaded jbd from /mnt/runtime/modules/modules.cgz
* loaded ext3 from /mnt/runtime/modules/modules.cgz
* loaded reiserfs from /mnt/runtime/modules/modules.cgz
* loaded jfs from /mnt/runtime/modules/modules.cgz
* loaded xfs from /mnt/runtime/modules/modules.cgz
* loaded dm-mod from /mnt/runtime/modules/modules.cgz
* module(s) md not found
* inserted /tmp/raid0.ko
* inserted /tmp/raid1.ko
* inserted /tmp/xor.ko
* inserted /tmp/raid5.ko
* inserted /tmp/msdos.ko
* inserted /tmp/jbd.ko
* inserted /tmp/ext3.ko
* inserted /tmp/reiserfs.ko
* inserted /tmp/jfs.ko
* inserted /tmp/xfs.ko
* inserted /tmp/dm-mod.ko
* load module set done
* loading parallel port drivers...
* modules to insert parport parport_pc
* loaded parport from /mnt/runtime/modules/modules.cgz
* loaded parport_pc from /mnt/runtime/modules/modules.cgz
* inserted /tmp/parport.ko
* inserted /tmp/parport_pc.ko
* load module set done
* looking for USB mouse...
* Running anaconda script /usr/bin/anaconda
* Display mode = g
* Method = cdrom://hdc:/mnt/source
* ddcprobe returned bogus values:
ID:   None
Name: None
HorizSync: None
VertSync:  None

* Started mini-wm
* anaconda floppy device fd0
* running ['/usr/X11R6/bin/setxkbmap', '-layout', 'us', '-
model', 'pc105', '-option', '']
* moving (1) to step welcome
* moving (1) to step language
* moving (1) to step keyboard
* running ['/usr/X11R6/bin/setxkbmap', '-layout', 'us', '-
model', 'pc105', '-option', '']
* moving (1) to step checkmonitorok
* moving (1) to step monitor
* moving (1) to step setsanex
* moving (1) to step findrootparts
* running vgscan failed: 1280.  disabling lvm
* moving (1) to step installtype
* Detected 64M of memory
* Swap attempt of 96M to 192M
* moving (1) to step partitionmethod
* moving (1) to step partitionobjinit
* moving (1) to step partitionmethodsetup
* moving (1) to step autopartition
* moving (1) to step autopartitionexecute
* moving (1) to step partition
* moving (1) to step partitiondone
* formatting swap as swap
* moving (1) to step bootloadersetup
* moving (1) to step bootloader
* moving (1) to step networkdevicecheck
* moving (1) to step network
* moving (1) to step firewall
* moving (1) to step languagesupport
* moving (1) to step timezone
* moving (1) to step accounts
* moving (1) to step readcomps
* Using file:///mnt/source/Fedora/base/comps.xml


/tmp/lvmout:
  No volume groups found
    Creating directory "/var/lock/lvm"
    Wiping cache of LVM-capable devices
    Wiping internal cache
  Reading all physical volumes.  This may take a while...
    Finding all volume groups
Comment 1 altmail 2004-05-20 14:48:31 EDT
yanked out DVD (generic) that was in tehre. Dropped in an old cdr/rw 
Media passed check. Most likely hardware error. Will try to reinstall 
before work. Downgeraded to Low in the event its not hradware.
Comment 2 altmail 2004-05-20 17:44:41 EDT
OK after pulling the DVD I tried re-installing FC2 as server again. 
Gets to checking packages. Anaconda screen comes back up and says I 
can now safely shut down the system. 

Failed out twice in a row same spot. No dump report this time. 
Installed workstation with all defaults seemed to work fine. It had 
about 5 minutes left on disk two when I left for work. 

Anaconda is choking on either a server package itself or the packages 
interaction with my hardware. Upgraded to normal as its not related 
to jsut a fubared DVD drive.

Comment 3 Alan Cox 2004-05-21 19:26:04 EDT
<4>hdc: media error (bad sector): error=0x34
<4>end_request: I/O error, dev hdc, sector 269352
<3>Buffer I/O error on device hdc, logical block 67338
<4>hdc: media error (bad sector): status=0x51 { DriveReady 
SeekComplete Error }

Your drive firmware is reporting unreadable areas on the CD-ROM. So it
seems to be a bad burn or reader problem.

You might want to try booting with "ide=nodma" but I *think* you just
have a bad CD burn.
Comment 4 Jeremy Katz 2004-06-08 14:40:02 EDT
Yep, looks like bad cd.  Booting with 'linux mediacheck' should verify
this.

Note You need to log in before you can comment on or make changes to this bug.